<?php

namespace Controllers;

use Adldap\Models\User;
use models\LdapConnection;
use models\LdapUserAdapter;
use Services\Ldap\Implementations\Ldap;
use Slim\Http\Request;
use models\compositers\UsersCompositor;
use models\dataMappers\UserMapper;
use models\LdapUser;
use models\UsersDataMapper;

class AuthController extends BaseController
{

    public function login(Request $request, $response, $args)
    {

        $authData = $request->getParsedBody();
        if (!key_exists('username', $authData)) {
            throw new \InvalidArgumentException('Username is required.');
        }

        if (!key_exists('password', $authData)) {
            throw new \InvalidArgumentException('Password is required.');
        }
        $config = $this->container->get('ldap');

        $authService = new Ldap($config, new \Adldap\Connections\Provider(), new LdapConnection());
        $ldapUser = $authService->getUser($authData['username']);

        if ($authService->bind($ldapUser->getDn(), $authData['password'])) {
            /**
             * @var $ldapUser User
             */
            $user = new LdapUserAdapter($config);
            $user->setLdapUser($ldapUser);

            $data = [
                'success' => true,
                'data' => $user->toArray(),
                'message' => 'You are successfully authenticated'
            ];
            $response = $response->withJson($data);

        }

        return $response;

    }

}