<?php


namespace models;

class LdapUserIterator implements \Iterator
{
    private $position = 0;
    private $ldapSearchCollection;

    public function __construct($collection) {
        $this->position = 0;
        $this->ldapSearchCollection = $collection;
    }

    public function current()
    {
        $item = $this->ldapSearchCollection[$this->position];
        if($this->isItemInstanceOfLdapUser($item)){
            return $item;
        }else{
            $this->next();
        }
    }

    public function next()
    {
        ++$this->position;
    }

    public function key()
    {
        return $this->position;
    }

    public function valid()
    {
        return isset($this->ldapSearchCollection[$this->position]);
    }

    public function rewind()
    {
        $this->position = 0;
    }

    private function isItemInstanceOfLdapUser($item){
        return  $item instanceof \Adldap\Models\User;
    }
}